<div class="container-fluid">
  <div class="row">
    <div class="col-12">
      <div class="row align-content-center justify-content-center page-container">
        <div class="col-sm-10 col-md-5 col-lg-3 login-form">
          <form autocomplete="off" [formGroup]="loginFormGroup">
            <div class="row">
              <div class="col-12 form-title">
                <h2>LOGIN FORM</h2>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <mat-form-field>
                  <input type="text" matInput id="username" placeholder="Type your username" formControlName="username">
                  <mat-error *ngIf="loginFormGroup.invalid && loginFormGroup.touched">{{getErrorMessage(this.loginFormGroup?.get('username'))}}</mat-error>
                </mat-form-field>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <mat-form-field>
                  <input type="password" matInput id="password" placeholder="Type your password"
                         formControlName="password">
                  <mat-error *ngIf="loginFormGroup.invalid && loginFormGroup.touched">{{getErrorMessage(this.loginFormGroup?.get('password'))}}</mat-error>
                </mat-form-field>
              </div>
            </div>
            <div class="row">
              <div class="col-12">
                <button mat-raised-button color="primary" (click)="login()" [disabled]="loginFormGroup.invalid">Submit</button>
              </div>
            </div>
          </form>

        </div>
      </div>
    </div>
  </div>
</div>




